POST
/api/v1/agents/monitorInit / record-step / complete an agent monitor
Action-discriminated on action. init -> {config:{agentId,projectId}} (201). step -> {agentId,step}. complete -> {agentId}. 404 MONITOR_NOT_FOUND for step/complete with no live monitor.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"action": "init",
"config": {
"agentId": "string",
"projectId": "00000000-0000-0000-0000-000000000000"
},
"agentId": "string",
"step": {}
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"action": {
"type": "string",
"enum": [
"init",
"step",
"complete"
]
},
"config": {
"type": "object",
"properties": {
"agentId": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"projectId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
"required": [
"agentId",
"projectId"
],
"additionalProperties": {}
},
"agentId": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"step": {
"type": "object",
"additionalProperties": {}
}
},
"required": [
"action"
],
"additionalProperties": {}
}
}
}Response
200 example
{
"success": true
}All status codes
200Action result (init returns 201).
201Created (init branch returns 201).
400(no description)
401(no description)
403Forbidden - insufficient role for this operation.
404(no description)
429(no description)
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/agents/monitor \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "action": "init", "config": { "agentId": "string", "projectId": "00000000-0000-0000-0000-000000000000" }, "agentId": "string", "step": {} }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/agents/monitor",
body: {
"action": "init",
"config": {
"agentId": "string",
"projectId": "00000000-0000-0000-0000-000000000000"
},
"agentId": "string",
"step": {}
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/agents/monitor",
body={
"action": "init",
"config": {
"agentId": "string",
"projectId": "00000000-0000-0000-0000-000000000000"
},
"agentId": "string",
"step": {}
},
)
print(response)Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"action":"init","config":{"agentId":"string","projectId":"00000000-0000-0000-0000-000000000000"},"agentId":"string","step":{}}`)
req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/agents/monitor", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403404429